Core - Task # 56364

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Must have

Author: Philipp Wrann Category: Backend User Interface
Created: 2014-02-27 Assigned To: Helmut Hummel
Updated: 2014-02-27 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Redirect after switch-to-user broken

Description

When using the switch-back function on a backend user the redirect is broken.
Switching back works.
Switch-to is also broken

It says the loop would never be finished, a 302 is returned in response. The link is like
typo3/mod.php?M=system_BeuserTxBeuser&moduleToken=f5bd1f6b00a64591337153ba2d83b4526092304e&SwitchUser=5&switc

BackUser=1

In a working version the link was like
typo3/mod.php?M=system_BeuserTxBeuser&SwitchUser=5&switchBackUser=1

So i guess the token can not be validated and causes a redirect.

Could be caused by (assumed from commit message): 6e9e545

Related issues:

related to Core - Task # 55670: func entry script cleanup Resolved 2014-02-04
related to Core - Task # 55672: info entry script cleanup Resolved 2014-02-08
related to Core - Task # 55809: Compat layer for submodules using index.php Resolved 2014-03-07

Associated revisions

Revision 3241387b - 2014-02-27 15:02 - Helmut Hummel

[BUGIFX] Fix Redirect after switch-to-user

The compatibility layer introduced in #55809
causes trouble with the user switch feature.

User switch intentionally redirects to index.php
but the compatibility layer kicks in and redirects
back to the user module, finally leading to an
endless redirect.

This can be resolved by checking for modules which

have been changed and need that compatibility layer.
Resolves: #56364

Releases: 6.2

Change-Id: 174d8c57335af66068383b49dc7d43ea480e631b8
Reviewed-on: https://review.typo3.org/27897

Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Oliver Hader
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2014-02-27 12:41 - Markus Klein

- Category set to Backend User Interface

- Status changed from New to Accepted

- Assigned To set to Helmut Hummel

- Target version changed from 6.2.0 to next-patchlevel

- Is Regression changed from No to Yes

#2 - 2014-02-27 14:14 - Helmut Hummel
- Parent task set to #55516

#3 - 2014-02-27 14:18 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27897

#4 - 2014-02-27 14:59 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27897

#5 - 2014-02-27 15:30 - Helmut Hummel
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:3241387b9694dd39e1f5e7ef0fc2e70cf60b69da.
